/*
 * $Header$
 *
 * $Log$
 */

/*
 * Type parameterisation via header files
 *
 * struct mumbletree is the template.  This header file
 * defines the types which are contained in and managed
 * by mumbletrees.  It also defines the operations
 * which the mumbletree code needs to manipulate
 * the mumble tree
 */

/* The scalars which provide mumbletree ordering */
typedef int mt_value;

/* The payload of a node in a mumbletree */
typedef enum {
	mt_e_assert,
	mt_e_nouse,
	mt_e_readonly,
	mt_e_readwrite
} mt_payload;

